Skip to main content
POST
/
agent
/
threads
Create Thread
curl --request POST \
  --url https://app.aseed.ai/custdev/agent/threads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Thread"
}
'
import requests

url = "https://app.aseed.ai/custdev/agent/threads"

payload = { "name": "Thread" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Thread'})
};

fetch('https://app.aseed.ai/custdev/agent/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "user_id": "<string>",
  "thread_name": "<string>",
  "state": {},
  "guide_content": "<string>",
  "research_context_content": "<string>",
  "is_deleted": false,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "message_count": 0
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request model for creating an agent thread.

name
string
default:Thread
Maximum string length: 255

Response

Successful Response

Data transfer object for an agent thread.

id
string
required
user_id
string
required
thread_name
string
required
state
State · object | null
guide_content
string | null
research_context_content
string | null
is_deleted
boolean
default:false
created_at
string<date-time> | null
updated_at
string<date-time> | null
message_count
integer
default:0